{pkgs, ...}: {
  services.gnome.gnome-keyring.enable = true;
  xdg.portal = {
    enable = true;

    config.common = {
      default = ["gtk"];
      "org.freedesktop.impl.portal.Screencast" = ["gnome"];
      "org.freedesktop.impl.portal.Secret" = ["gnome-keyring"];
    };

    extraPortals = [
      pkgs.xdg-desktop-portal-gnome
      pkgs.xdg-desktop-portal-gtk
    ];
  };
}
