{...}: {
  programs.niri.enable = true;
  home-manager.users.jade = {...}: {
    imports = [
      ./notifications.nix
      ./terminal.nix
      ./layaway.nix
      ./swayidle.nix
      ./browser.nix
      ./eww
      ./niri
    ];

    # temporary(tm)
    programs.wofi.enable = true;
    programs.swaylock.enable = true;
    services.network-manager-applet.enable = true;
    xsession.enable = true;

    services.gpg-agent = {
      enable = true;
      enableNushellIntegration = true;
      enableSshSupport = true;
    };
  };
}
